<div class="header">
  <h1 class="ui-widget">Turn-Based Game</h1>
</div>
<div class="ui-card ui-widget ui-widget-content ui-corner-all logs-archive-panel">
  <div class="ui-card-body">
    <div class="ui-card-title ng-star-inserted">Archive games</div>
      <div class="ui-card-content my-content">
        <div id="scroll">

          <p-table [value]="gamesList">
            <ng-template pTemplate="header">
              <tr>
                <th>Game ID</th>
                <th>Date</th>
                <th>URL Player1</th>
                <th>URL Player2</th>
                <th>Go to game</th>
              </tr>
            </ng-template>
            <ng-template pTemplate="body" let-game>
              <tr>
                <td>{{game.gameId}}</td>
                <td>{{game.date | date:'dd-MM-yyyy [HH:mm:ss]'}}</td>
                <td>{{game.urlPlayer1}}</td>
                <td>{{game.urlPlayer2}}</td>
                <td><div class="button"><p-button label="&#9654;" routerLink="/playback/{{game.gameId}}"></p-button></div></td>
              </tr>
            </ng-template>
          </p-table>

        </div>
      </div>
    <div class="button"><p-button label="back to dashboard" routerLink="/dashboard"></p-button></div>
  </div>
</div>
